<?php
 
 if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
 
 class WebdWoocommerceCrosellPopupInit{
	
	public $tab;
	public $activeTab;
	public $onMobile = 'onMobile';

	
	public function adminHeader(){
			
		//print "<h1>".$this->name."</h1>";?>
		<h2><img src='<?php echo plugins_url( "images/".$this->plugin.".png", __FILE__ ); ?>' style='width:100%' />
		<?php
	}
	
	
	public function adminSettings(){
			$this->adminTabs();	
			
			?>
			<form method="post" id='<?php print $this->plugin; ?>Form'  
			action= "<?php echo admin_url( "admin.php?page=".$this->slug ); ?>">
			<?php
			
			settings_fields(  $this->plugin.'general-options' );
			do_settings_sections(  $this->plugin.'general-options' );
			
			$this->proFeatures();
			
			wp_nonce_field($this->plugin);
			submit_button();
			
			?></form>
				
			
			<div class='result'><?php $this->adminProcessSettings(); ?> </div>
	<?php
		$this->proProduct();		
	}
	
	public function proFeatures(){
		?>
			<table class="form-table"><tbody>
		
			<tr>
				<th scope='row'>
					Single Product Page: Show Related if Upsells not Set	
				</th>
				<td>
					<select disabled class='premium'><option value=''>PRO VERSION Only</option></select>
				</td>				
			</tr>
			<tr>
				<th scope='row'>
					Archive/Shop Page: Show Popup		
				</th>
				<td>
					<select disabled class='premium'><option value=''>PRO VERSION Only</option></select>
				</td>				
			</tr>
			<tr>
				<th scope='row'>
					Archive Page: What to show		
				</th>
				<td>
					<select disabled class='premium'><option value=''>PRO VERSION Only</option></select>
				</td>				
			</tr>			
			</tbody></table>
			<?php		
	}

	public function proProduct(){ ?>
		<div class='right_wrap rightToLeft'>
			<h2  class='center'>NEED MORE FEATURES? </h2>

			<ul class='webd_plugins'>
				<li>			
					<p class='img-container'>
						<a target='_blank'  href='<?php print $this->proUrl;?>'>
							<img class='premium_img' src='<?php echo plugins_url( 'images/crosell-popup-pro.jpg', __FILE__ ); ?>' alt='<?php print $this->name;?>' style='width:150px;height:150px;' title='<?php print $this->name;?>' />
						</a>
					</p>

					<div>
						<p><i class='fa fa-check'></i> Ability to Show Related Propducts on Popup if Upsells have not been set - so plugin will work out of the Box</p>
						<p><i class='fa fa-check'></i> Show Popup on Shop, Categories and Archive Pages. Ability to show or hide</p>
						<p><i class='fa fa-check'></i> Choose what to Show in the Archive page. This is very useful in terms of if your eshop has thousands of products, setting Upsells for each product one by one is not an easy job.
						Thus, you can to show either Upsell or Crosell but Also <b>RELATED that belong to same category and will be shown automatically.</b></p>
						<a class='premium_button' target='_blank'  href='<?php print $this->proUrl;?>'>
							<?php _e("Get it here",$this->shortName);?>	
						</a>						
					</div>	

					
				</li>
				
			</ul>

		</div>
	<?php
	}	
	
	public function adminTabs(){
			$this->tab = array( 'settings' => 'Settings');
			if($_GET['tab'] ){
				$this->activeTab = $_GET['tab'] ;
			}else $this->activeTab = 'main';
			echo '<h2 class="nav-tab-wrapper" >';
			foreach( $this->tab as $tab => $name ){
				$class = ( $tab == $this->activeTab ) ? ' nav-tab-active' : '';
				echo "<a class='nav-tab".$class." contant' href='?page=".$this->slug."&tab=".$tab."'>".$name."</a>";
			}?>
				<a class='nav-tab gopro <?php print $this->plugin; ?>Toggler' href='#'>PRO VERSION</a>
			<?php
			echo '</h2>';		
	}

	
	public function adminFooter(){ ?>	
		<hr>
		<a target='_blank' class='web_logo' href='https://webdeveloping.gr/product-category/wordpress-plugins/'>
			<img  src='<?php echo plugins_url( 'images/webdeveloping.png', __FILE__ ); ?>' alt='Get more plugins by webdeveloping.gr' title='Get more plugins by webdeveloping.gr' />
		</a>
		<?php 
	}
	
	public function onMobile(){
		?>
			<select name="<?php print $this->plugin.$this->onMobile;?>" id="<?php print $this->plugin.$this->onMobile;?>" required value="<?php echo esc_attr(get_option($this->plugin.$this->onMobile)); ?>" placeholder='Show on Mobile' >
				<?php if(esc_attr(get_option($this->plugin.$this->onMobile)) !='' && !$_REQUEST[$this->plugin.$this->onMobile] ){ ?>
						<option selected value='<?php print esc_attr(get_option($this->plugin.$this->onMobile)); ?>'>
						<?php print esc_attr(get_option($this->plugin.$this->onMobile)); ?></option>
				<?php
				}elseif($_REQUEST[$this->plugin.$this->onMobile]){ ?>
					 <option selected value='<?php print sanitize_text_field($_REQUEST[$this->plugin.$this->onMobile]);?>'>
						<?php print sanitize_text_field($_REQUEST[$this->plugin.$this->onMobile]); ?></option>
				<?php		
				}?>
				<option  value='Yes'>Yes</option>
				<option  value='No'>No</option>
			</select>
		<?php
	}
	
	
	public function adminPanels(){
		add_settings_section($this->plugin."general", "", null,  $this->plugin."general-options");
		
		add_settings_field('onMobile',"Show Popup on Mobile", array($this, 'onMobile'),   $this->plugin."general-options",  $this->plugin."general");			
		register_setting( $this->plugin."general", $this->plugin.$this->onMobile);
		
	}
	
	public function adminProcessSettings(){
		
		if($_SERVER['REQUEST_METHOD'] == 'POST' && current_user_can('administrator') ){
		
			check_admin_referer( $this->plugin );
			check_ajax_referer($this->plugin);	
			if($_REQUEST[$this->plugin.$this->onMobile]){
				update_option($this->plugin.$this->onMobile,sanitize_text_field($_REQUEST[$this->plugin.$this->onMobile]));				
			}			
		}
	}

 }